org.bdgenomics.adam.algorithms.consensus

# ConsensusGenerator

###
Related Docs: object ConsensusGenerator | package consensus

#### trait ConsensusGenerator extends Serializable

Trait for generating consensus sequences for INDEL realignment.

INDEL realignment scores read alignments against the reference genome and a set of "consensus" sequences. These consensus sequences represent alternate alleles/haplotypes, and can be generated via a variety of methods (e.g., seen in previous projects --> 1kg INDELs, seen in read alignments, etc). This trait provides an interface that a consensus generation method should implement to provide it's consensus sequences to the realigner.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ConsensusGenerator
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def findConsensus(reads: Iterable[RichAlignmentRecord]): Iterable[Consensus]

   For all reads in this region, generates the list of consensus sequences for realignment.

   For all reads in this region, generates the list of consensus sequences for realignment.

   reads

     Reads to generate consensus sequences from.

   returns

     Consensus sequences to use for realignment.

2. #### abstract def preprocessReadsForRealignment(reads: Iterable[RichAlignmentRecord], reference: String, region: ReferenceRegion): Iterable[RichAlignmentRecord]

   Performs any preprocessing specific to this consensus generation algorithm, e.g., indel normalization.

   Performs any preprocessing specific to this consensus generation algorithm, e.g., indel normalization.

   reads

     Reads to preprocess.

   reference

     Reference genome bases covering this target.

   region

     The region covered by this target.

   returns

     Preprocessed reads.

3. #### abstract def targetsToAdd(): Option[RDD[IndelRealignmentTarget]]

   Generates targets to add to initial set of indel realignment targets, if additional targets are necessary.

   Generates targets to add to initial set of indel realignment targets, if additional targets are necessary.

   returns

     Returns an option which wraps an RDD of indel realignment targets.

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### final def notify(): Unit

    Definition Classes
      AnyRef

14. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

15. #### def numAlignmentBlocks(cigar: Cigar): Int

    cigar

      The CIGAR to process.

    returns

      The number of alignment blocks that are alignment matches.

    Attributes
      protected

16. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

17. #### def toString(): String

    Definition Classes
      AnyRef → Any

18. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped